<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="252dp"
    android:layout_height="198dp"
    android:background="@drawable/bg_home_collection_small_slide_card_shadow">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="220dp"
        android:layout_height="166dp"
        android:layout_gravity="center"
        android:background="@drawable/bg_item_game_test_v2">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/coverImage"
            style="@style/frescoStyle"
            android:layout_width="0dp"
            android:layout_height="96dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundBottomEnd="false"
            app:roundBottomStart="false"
            app:roundTopEnd="true"
            app:roundTopStart="true"
            app:roundedCornerRadius="8dp" />

        <TextView
            android:id="@+id/gameCountTv"
            android:layout_width="wrap_content"
            android:layout_height="16dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="8dp"
            android:background="@drawable/button_round_black_alpha_60"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:textColor="@color/white_alpha_60"
            android:textSize="@dimen/little_secondary_size"
            app:layout_constraintBottom_toBottomOf="@+id/coverImage"
            app:layout_constraintEnd_toEndOf="@+id/coverImage"
            tools:text="+25" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:lineSpacingExtra="2dp"
            android:maxLines="1"
            android:textColor="@color/text_primary"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/coverImage"
            tools:text="2021年度热门好游一单搞定终极推荐" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon1"
            style="@style/frescoStyle"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginStart="12dp"
            android:layout_marginBottom="-8dp"
            android:visibility="gone"
            app:gameIconBorderColor="@color/ui_surface"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="8dp"
            app:gameIconRemoveCrevice="true"
            app:layout_constraintBottom_toBottomOf="@+id/coverImage"
            app:layout_constraintStart_toStartOf="parent"
            tools:visibility="visible" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon2"
            style="@style/frescoStyle"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginStart="4dp"
            android:visibility="gone"
            app:gameIconBorderColor="@color/ui_surface"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="8dp"
            app:gameIconRemoveCrevice="true"
            app:layout_constraintStart_toEndOf="@+id/gameIcon1"
            app:layout_constraintTop_toTopOf="@+id/gameIcon1"
            tools:visibility="visible" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon3"
            style="@style/frescoStyle"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginStart="4dp"
            android:visibility="gone"
            app:gameIconBorderColor="@color/ui_surface"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="8dp"
            app:gameIconRemoveCrevice="true"
            app:layout_constraintStart_toEndOf="@+id/gameIcon2"
            app:layout_constraintTop_toTopOf="@+id/gameIcon2"
            tools:visibility="visible" />

        <androidx.cardview.widget.CardView
            android:id="@+id/userIconCv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="4dp"
            app:cardCornerRadius="9dp"
            app:cardElevation="0dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/userIv"
                style="@style/frescoCircleStyle"
                android:layout_width="20dp"
                android:layout_height="20dp" />
        </androidx.cardview.widget.CardView>

        <TextView
            android:id="@+id/userTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginLeft="4dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:ellipsize="end"
            android:singleLine="true"
            android:textColor="@color/text_secondary"
            android:textSize="@dimen/secondary_size"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userIconCv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@+id/userIconCv"
            app:layout_constraintTop_toTopOf="@+id/userIconCv"
            tools:text="测试用户名" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>